/* common */

body#play {
    background: #434e5a;
    font-size: 12px;
}

#play input[type='number'] {
    -moz-appearance: textfield;
}

#play input::-webkit-outer-spin-button, #play input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

#play .white {
    color: #fff
}

#play .inline {
    display: inline
}

#play .btn {
    font-size: 12px;
    padding: 10px 20px;
    border-radius: 4px;
}

#play .btn:hover, .btn:focus {
    color: #fff
}

#play .btn-gray {
    background-color: #434e5b;
    color: #fff;
}

#play .btn-span {
    color: #999;
    text-decoration: underline
}

#play .btn-green {
    background-color: #46d599;
    color: #fff;
}

#play .btn-white {
    background-color: white;
    color: #434e5b;
}

#play .btn-white:hover {
    color: #434e5b;
}

#play .btn-red {
    background-color: rgb(211, 40, 40);
    color: white;
}

#play .nav-tabs {
    border: none;
}

#play .nav-tabs li a {
    border-radius: 0;
}

#play .disabled {
    pointer-events: none
}


/* header */

#play header {
    height: 72px;
}

#play #logo img {
    margin: 10px 0;
    width: 120px;
}

#play header .dropdown a {
    color: #333;
}

#play header .dropdown-menu {
    margin-top: 0
}

#play header .dropdown-menu a {
    padding: 10px 30px
}

#play header .dropdown:hover>.dropdown-menu {
    display: block
}

#play #logo .site-name {
    display: inline-block;
    color: #c71a4b;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    margin-left: 20px;
}

#play .select-menu {
    background: #39434e;
    padding: 0 16px 0 24px;
}

#play .select-menu-item {
    padding: 16px 10px 0;
}


/*
#play header   .dropdown a {
    margin: 10px;
    color: #333;
}
*/

#play .select-menu-item::after {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    height: 130px;
    width: 1px;
    background: #434e5b;
}

@media(min-width:992px) {
    #play .select-menu .paly-control {
        padding-right: 20px;
        text-align: right;
    }
    #play .select-menu #pauseAndPlay, #play .select-menu #scenario-save {
        margin-right: 10px;
    }
}

#play #recipes .addnew {
    color: #8e949c;
    text-decoration: underline;
    line-height: 30px;
}

#play #recipes .addnew:hover {
    cursor: pointer;
    color: #666
}

#play .msgBox {
    display: none;
}


/*Run*/

#play.run .btn-gray, #play.run .select-menu-item::after {
    background-color: #58d9a3
}

#play.run .btn-span {
    visibility: hidden;
}

#play #stop, #play.run #scenario-save, #play.run #run, #play #pauseAndPlay {
    display: none;
}

#play.run #stop, #play.run #pauseAndPlay {
    display: inline-block;
}

#play.run .visual-item.runing::before, #play.run .nav-tabs li.runing::after {
    content: "";
    width: 4px;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    background-color: #46d599;
}

#play.run .visual-item.runing::before {
    right: 0;
}

#play.run .select-menu, #play.run #recipes .runing .td1::before, #play.run #recipes .runing .td2::before {
    background-color: #46d599;
}

#play.run #recipes .runing .td3 .fa-play-circle::before, #play.run .run-recipe.runing::before {
    content: '\f28b'
}

#play.run .select-menu .dropdown, #play.run #navlist {
    pointer-events: none
}

#play.run .select-menu-item {
    border-right-color: #efefef;
}

#play.run #navlist li.active{
    border-left: 4px solid #46d599;
}

@media(min-width:992px) {
    #play #scenario {
        padding-right: 0;
    }
    #play #recipes {
        padding-left: 0;
        border-left: 2px solid #353e48;
        min-height: calc(100vh - 141px);
    }
}

textarea#codeArea {
    background: #333;
    color: #fff;
    width: 100%;
    min-height: 480px;
    padding: 12px;
    font-family: Monaco, monospace;
    font-size: 12px;
    outline: none;
}

select.form-control {
    display: inline-block;
}